summaryrefslogtreecommitdiffstats
path: root/graphics/qcomicbook
diff options
context:
space:
mode:
author Niels Horn2010-05-13 00:28:12 +0200
committer Robby Workman2010-05-13 00:28:12 +0200
commitf10fe76bc70bddb7754a1baa08bbad021191cc4e (patch)
treee1b9d80211fd5331aefcf04be5d267ad128c5d97 /graphics/qcomicbook
parent3f2c8ae22b6113faa56187acebe793700652a3c1 (diff)
downloadslackbuilds-f10fe76bc70bddb7754a1baa08bbad021191cc4e.tar.gz
graphics/qcomicbook: Updated for version 0.5.0
Diffstat (limited to 'graphics/qcomicbook')
-rw-r--r--graphics/qcomicbook/README11
-rw-r--r--graphics/qcomicbook/doinst.sh5
-rw-r--r--graphics/qcomicbook/qcomicbook.SlackBuild51
-rw-r--r--graphics/qcomicbook/qcomicbook.info14
-rw-r--r--graphics/qcomicbook/slack-desc8
5 files changed, 55 insertions, 34 deletions
diff --git a/graphics/qcomicbook/README b/graphics/qcomicbook/README
index 4231a047ae..1bb2923b3a 100644
--- a/graphics/qcomicbook/README
+++ b/graphics/qcomicbook/README
@@ -1,4 +1,7 @@
-QComicBook is comic book reader format (.cbr). It allows viewing
-of variuos types of images (JPEG, PNG, etc) archived in a ZIP
-or RAR archive (with .cbz or .cbr extension). Unrar is needed
-for viewing .cbr files. ImLib2 is required to build qcomicbook.
+QComicBook (Comic Book Reader)
+
+QComicBook is a graphical application that allows sequential display of
+archived (zip or rar) images, a well known technique for distributing
+digital copies of comic books.
+
+unrar is required to if you want to open .cbr (rar'd) archives.
diff --git a/graphics/qcomicbook/doinst.sh b/graphics/qcomicbook/doinst.sh
index 3412314ed0..4e8ba7071d 100644
--- a/graphics/qcomicbook/doinst.sh
+++ b/graphics/qcomicbook/doinst.sh
@@ -1,5 +1,4 @@
-
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
diff --git a/graphics/qcomicbook/qcomicbook.SlackBuild b/graphics/qcomicbook/qcomicbook.SlackBuild
index 445943c2ac..e1d2a6498e 100644
--- a/graphics/qcomicbook/qcomicbook.SlackBuild
+++ b/graphics/qcomicbook/qcomicbook.SlackBuild
@@ -1,14 +1,18 @@
#!/bin/sh
-# Slackware build script for QComicBook
+# Slackware build script for QComicBook:
+# a program to visualize digitalized comic books
-# Written by Amiralul (tanaselia@gmail.com)
+# Original version written by Amiralul - tanaselia@gmail.com
+# Currently maintained by Niels Horn - niels.horn@gmail.com
+# revision date 2009/12/14
PRGNAM=qcomicbook
-VERSION=0.3.4
+VERSION=0.5.0
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -16,41 +20,54 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
-rm -rf $PKG
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man
+cmake . \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS -DNDEBUG" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS -DNDEBUG" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release
-make
+make VERBOSE=1
make install DESTDIR=$PKG
+# Move manpage to correct location and gzip them
+mv $PKG/usr/share/man $PKG/usr/man
gzip -9 $PKG/usr/man/man1/$PRGNAM.1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/qcomicbook/qcomicbook.info b/graphics/qcomicbook/qcomicbook.info
index 7df58876ac..392d35f27f 100644
--- a/graphics/qcomicbook/qcomicbook.info
+++ b/graphics/qcomicbook/qcomicbook.info
@@ -1,8 +1,10 @@
PRGNAM="qcomicbook"
-VERSION="0.3.4"
-HOMEPAGE="http://linux.bydg.org/~yogin/"
-DOWNLOAD="http://linux.bydg.org/~yogin/qcomicbook-0.3.4.tar.gz"
-MD5SUM="f93f29e0635f8fe64f036bf654050438"
-MAINTAINER="Amiralul"
-EMAIL="tanaselia@gmail.com"
+VERSION="0.5.0"
+HOMEPAGE="http://stolowski.blogspot.com/"
+DOWNLOAD="http://cloud.github.com/downloads/stolowski/QComicBook/qcomicbook-0.5.0.tar.gz"
+MD5SUM="590f981df476195f1cd71a16c0fff5e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
APPROVED="rworkman"
diff --git a/graphics/qcomicbook/slack-desc b/graphics/qcomicbook/slack-desc
index eb7305a977..b9d13fcf10 100644
--- a/graphics/qcomicbook/slack-desc
+++ b/graphics/qcomicbook/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
qcomicbook: QComicBook (Comic Book Reader)
qcomicbook:
-qcomicbook: QComicBook is a KDE application that allows sequential
+qcomicbook: QComicBook is a graphical application that allows sequential
qcomicbook: display of archived (zip or rar) images, a well known
-qcomicbook: tehnique for distributing digital copies of comic books.
-qcomicbook: ImLib2 and unrar (optional) are required.
+qcomicbook: technique for distributing digital copies of comic books.
qcomicbook:
qcomicbook: Homepage: http://linux.bydg.org/~yogin/
qcomicbook:
qcomicbook:
qcomicbook:
+qcomicbook: